curl --location --request GET 'https://app.gpt-trainer.com/api/v1/session/{uuid}' \
--header 'Authorization: Bearer <token>' \
import requests
uuid = '<session-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/session/{uuid}'
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const uuid = "<session-uuid>";
const url = `https://app.gpt-trainer.com/api/v1/session/${uuid}`;
const headers = {
"Content-Type": "application/json",
Authorization: "Bearer <token>",
};
axios
.post(url, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
{
"created_at": "string",
"modified_at": "string",
"uuid": "string"
}
Chatbot Sessions
Fetch a Session
Fetch single chatbot session base on session uuid
GET
/
api
/
v1
/
session
/
{uuid}
curl --location --request GET 'https://app.gpt-trainer.com/api/v1/session/{uuid}' \
--header 'Authorization: Bearer <token>' \
import requests
uuid = '<session-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/session/{uuid}'
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const uuid = "<session-uuid>";
const url = `https://app.gpt-trainer.com/api/v1/session/${uuid}`;
const headers = {
"Content-Type": "application/json",
Authorization: "Bearer <token>",
};
axios
.post(url, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
{
"created_at": "string",
"modified_at": "string",
"uuid": "string"
}
Path
Session uuid
Response
curl --location --request GET 'https://app.gpt-trainer.com/api/v1/session/{uuid}' \
--header 'Authorization: Bearer <token>' \
import requests
uuid = '<session-uuid>'
url = f'https://app.gpt-trainer.com/api/v1/session/{uuid}'
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.get(url, headers=headers)
if response.status_code == 200:
print("Request successful!")
print(response.json())
else:
print("Request failed with status code:", response.status_code)
print(response.text)
const axios = require("axios");
const uuid = "<session-uuid>";
const url = `https://app.gpt-trainer.com/api/v1/session/${uuid}`;
const headers = {
"Content-Type": "application/json",
Authorization: "Bearer <token>",
};
axios
.post(url, { headers })
.then((response) => {
console.log("Request successful!");
console.log(response.data);
})
.catch((error) => {
console.error("Request failed:", error);
});
{
"created_at": "string",
"modified_at": "string",
"uuid": "string"
}
⌘I